| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PoolDbObjectContext Class Reference

Collaboration diagram for PoolDbObjectContext:

[legend]
List of all members.

## Detailed Description

Definition at line 60 of file PoolDbBaseCnv.cpp.

## Public Member Functions
| PoolDbObjectContext (PoolDbBaseCnv *dm, IRegistry *pReg)
| ~PoolDbObjectContext ()
PoolDbBaseCnv * | cnv ()
IRegistry * | registry ()
## Private Attributes
PoolDbBaseCnv * | m_converter
IRegistry * | m_registry

## Constructor & Destructor Documentation

PoolDbObjectContext::PoolDbObjectContext | ( | PoolDbBaseCnv * | dm,
|  | IRegistry * | pReg |
| ) |  |  | `[inline]`

Definition at line 64 of file PoolDbBaseCnv.cpp.

References m_converter, m_registry, and s_context.

    00064                                                            {
    00065     m_converter = dm;
    00066     m_registry = pReg;
    00067     s_context = this;
    00068   }

PoolDbObjectContext::~PoolDbObjectContext | ( |  | ) | `[inline]`

Definition at line 69 of file PoolDbBaseCnv.cpp.

References m_converter, and s_context.

    00069                           {
    00070     m_converter = 0;
    00071     s_context = 0;
    00072   }

## Member Function Documentation

PoolDbBaseCnv* PoolDbObjectContext::cnv | ( |  | ) | `[inline]`

Definition at line 73 of file PoolDbBaseCnv.cpp.

References m_converter.

Referenced by PoolDbDataObjectHandler::clone().

    00073                         {
    00074     return m_converter;
    00075   }

IRegistry* PoolDbObjectContext::registry | ( |  | ) | `[inline]`

Definition at line 76 of file PoolDbBaseCnv.cpp.

References m_registry.

Referenced by PoolDbDataObjectHandler::clone().

    00076                          {
    00077     return m_registry;
    00078   }

## Member Data Documentation

PoolDbBaseCnv* PoolDbObjectContext::m_converter`[private]`

Definition at line 61 of file PoolDbBaseCnv.cpp.

Referenced by cnv(), PoolDbObjectContext(), and ~PoolDbObjectContext().

IRegistry* PoolDbObjectContext::m_registry`[private]`

Definition at line 62 of file PoolDbBaseCnv.cpp.

Referenced by PoolDbObjectContext(), and registry().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPoolDb/v4r0/src/PoolDbBaseCnv.cpp